diff -urN multipath/ChangeLog multipath-0.0.13.1/ChangeLog
--- multipath/ChangeLog	2003-12-31 10:08:52.000000000 +0100
+++ multipath-0.0.13.1/ChangeLog	2004-01-19 12:02:50.000000000 +0100
@@ -1,3 +1,5 @@
+2004-01-19 multipath-013
+	* update the DM target synthax to the 2.6.0-udm5 style
 2003-12-29 multipath-012
 	* check hotplug event refers to a block device; if not exit early
 	* refresh doc
diff -urN multipath/README multipath-0.0.13.1/README
--- multipath/README	2003-12-31 10:08:52.000000000 +0100
+++ multipath-0.0.13.1/README	2004-01-19 12:01:48.000000000 +0100
@@ -4,8 +4,10 @@
 o libdevmapper : comes with device-mapper-XXXX.tar.gz
   See www.sistina.com
   This lib has been dropped in the multipath tree
-o libsysfs : comes with sysutils
+o libsysfs : comes with sysutils or udev
   See ftp.kernel.org/pub/linux/utils/kernel/hotplug/
+o Linux kernel 2.6.0 with udm5 patchset
+  http://people.sistina.com/~thornber/dm/
 
 How it works :
 ==============
diff -urN multipath/main.c multipath-0.0.13.1/main.c
--- multipath/main.c	2003-12-31 10:08:52.000000000 +0100
+++ multipath-0.0.13.1/main.c	2004-01-19 11:21:13.000000000 +0100
@@ -665,7 +665,7 @@
 
 	if (all_paths[PINDEX(index,0)].iopolicy == MULTIBUS &&
 	    !conf->forcedfailover ) {
-		params_p += sprintf(params_p, " %i %s %i %i",
+		params_p += sprintf(params_p, " 1 %i %s %i %i",
 				    dm_pg_prio, dm_ps_name, np, dm_ps_nr_args);
 		
 		for (i=0; i<=mp[index].npaths; i++) {
@@ -678,6 +678,7 @@
 
 	if (all_paths[PINDEX(index,0)].iopolicy == FAILOVER ||
 	    conf->forcedfailover) {
+		params_p += sprintf(params_p, " %i", mp[index].npaths + 1);
 		for (i=0; i<=mp[index].npaths; i++) {
 			if (0 != all_paths[PINDEX(index,i)].sg_id.scsi_type)
 				continue;
